# Generated from shoulda-matchers-2.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shoulda-matchers

Name: rubygem-%{gem_name}
Version: 2.6.1
Release: 3%{?dist}
Summary: Making tests easy on the fingers and eyes
Group: Development/Languages
License: MIT
URL: https://github.com/thoughtbot/shoulda-matchers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(aruba)
BuildRequires: rubygem(cucumber)
BuildRequires: rubygem(activeresource)
BuildRequires: rubygem(bcrypt)
BuildRequires: rubygem(bourne)
BuildRequires: rubygem(coffee-rails)
BuildRequires: rubygem(jbuilder)
BuildRequires: rubygem(jquery-rails)
BuildRequires: rubygem(protected_attributes)
BuildRequires: rubygem(rails)
BuildRequires: rubygem(rspec-rails)
BuildRequires: rubygem(sass-rails)
BuildRequires: rubygem(sdoc)
BuildRequires: rubygem(shoulda-context)
BuildRequires: rubygem(spring)
BuildRequires: rubygem(sqlite3)
BuildRequires: rubygem(therubyracer)
BuildRequires: rubygem(turbolinks)
BuildRequires: rubygem(uglifier)
BuildArch: noarch

%description
shoulda-matchers provides Test::Unit- and RSpec-compatible one-liners that
test common Rails functionality. These tests would otherwise be much longer,
more complex, and error-prone.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Fix wrong-file-end-of-line-encoding for rpmlint.
sed -i 's/\r$//' MIT-LICENSE

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# Remove unnecessary dependencies.
sed -i '/dependency(%q<appraisal>/ d' shoulda-matchers.gemspec
sed -i '/dependency(%q<pry>/ d' shoulda-matchers.gemspec
sed -i '/dependency(%q<rake>/ d' shoulda-matchers.gemspec

# Remove the explicit Rails version dependency.
sed -i '/dependency(%q<rails>/ s/, \[.*\]//' shoulda-matchers.gemspec

# Add dependency on ActiveResource.
echo "gem 'activeresource'" >> Gemfile
echo "gem 'protected_attributes'" >> Gemfile
echo "gem 'bcrypt'" >> Gemfile

# We want to use local versions of gems.
rm Gemfile.lock
bundle install --local

# Use only locally available gems."
sed -i "s/'bundle install'/'bundle install --local'/" spec/support/test_application.rb

# JS runtime is needed.
sed -i '/rails new/ a \    `echo "gem %{therubyracer}" >> #{ROOT_DIR}/Gemfile`' spec/support/test_application.rb

# Workaround test failure against RoR 4.1.2+.
# https://github.com/thoughtbot/shoulda-matchers/issues/549
bundle exec rspec spec | grep "975 examples, 1 failure, 56 pending"

# Lets use system dependencies.
rm gemfiles/*.lock

# bcrypt-ruby was recently renamed.
sed -i 's/bcrypt-ruby/bcrypt/' gemfiles/4.1.gemfile

# pry seems to be superfluous.
sed -i "/gem 'pry'/d" features/step_definitions/rails_steps.rb

# Do not attempt to update Rake.
sed -i "/if RUBY_VERSION >= '1.9.3'$/,/  end/ s/^/#/" features/step_definitions/rails_steps.rb

BUNDLE_GEMFILE=gemfiles/4.1.gemfile cucumber
popd

%files
%doc %{gem_instdir}/MIT-LICENSE
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Appraisals
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile*
%doc %{gem_instdir}/NEWS.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/gemfiles
%{gem_instdir}/shoulda-matchers.gemspec
%{gem_instdir}/spec

%changelog
* Mon Jul 07 2014 Vít Ondruch <vondruch@redhat.com> - 2.6.1-3
- Workaround RoR 4.1.2+ compatibility issue.
- Relax Rake dependency.

* Thu Jul 03 2014 Vít Ondruch <vondruch@redhat.com> - 2.6.1-2
- Add missing BR: rubygem(shoulda-context).
- Updated upstream URL.
- Relaxed BR: ruby dependency.

* Mon Jun 30 2014 Vít Ondruch <vondruch@redhat.com> - 2.6.1-1
- Initial package
